package com.example.pharmacy.frontEnd;


import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.RadioButton;
import android.widget.Toast;

/**
 * Created by pharmacy on 21/11/2017.
 */

public class Settings extends AppCompatActivity{

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.settings);
        setUpButtons();
    }

    private void setUpButtons(){
        ImageButton back = (ImageButton)findViewById(R.id.back);
        back.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //Saved in shared preferences, add interger resource for default values to be used when obtaining from shared preferences. 
                boolean audio = findViewById(R.id.Audio).isActivated();
                boolean vibration = findViewById(R.id.Vibration).isActivated();
                boolean led = findViewById(R.id.LEDFlash).isActivated();
                int notifyGap = findViewById(R.id.spinner).getTop();//???
                String message = (findViewById(R.id.notificationMessage)).toString();
                SharedPreferences sharedPref = view.getContext().getSharedPreferences(getString(R.string.preference_file_key), Context.MODE_PRIVATE);
                SharedPreferences.Editor editor = sharedPref.edit();
                editor.putBoolean(getString(R.string.audio), audio);
                editor.putBoolean(getString(R.string.vibration), vibration);
                editor.putBoolean(getString(R.string.led), led);
                editor.putInt(getString(R.string.daily_goal), notifyGap);
                editor.putString(getString(R.string.daily_goal_text), message);
                editor.commit();
                Intent intent = new Intent(view.getContext(), MainActivity.class);
                displaySavedToast(view);
                startActivity(intent);
            }
        });
    }

    private void displaySavedToast(View view){
        Toast saved = new Toast(view.getContext());
        saved.setText(R.string.settings_saved);
        saved.setDuration(Toast.LENGTH_SHORT);
        saved.show();
    }
}
